Bug 1686488 - 'make test' fails with stringop-overflow error
Summary: 'make test' fails with stringop-overflow error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: http-parser
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.1
Assignee: Sergio Correia
QA Contact: Anna Khaitovich
URL:
Whiteboard:
Depends On: 1682249
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 14:45 UTC by Anna Khaitovich
Modified: 2020-11-14 10:05 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 21:26:32 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Remove unused functions from test runner (1.39 KB, text/plain)
2019-08-12 12:08 UTC, Sergio Correia
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3497 0 None None None 2019-11-05 21:26:36 UTC

Description Anna Khaitovich 2019-03-07 14:45:45 UTC
Description of problem:
Can't compile testsuite because of -Werror=stringop-overflow error

Version-Release number of selected component (if applicable):
http-parser-2.8.0-2.el8

How reproducible:
Always

Steps to Reproduce:
1. rpm -i http-parser-2.8.0-2.el8.src.rpm
2. yum-builddep -y ~/rpmbuild/SPECS/*.spec
3. rpmbuild -bp ~/rpmbuild/SPECS/http-parser.spec
4. pushd ~/rpmbuild/BUILD/*
5. make test

Actual results:
make[1]: Entering directory '/tmp/tmp.zwJ0akD2W1/BUILD/http-parser-2.8.0'
cc  -I. -DHTTP_PARSER_STRICT=1  -Wall -Wextra -Werror -O0 -g  -c http_parser.c -o http_parser_g.o
cc  -I. -DHTTP_PARSER_STRICT=1  -Wall -Wextra -Werror -O0 -g  -c test.c -o test_g.o
cc -Wall -Wextra -Werror -O0 -g   http_parser_g.o test_g.o -o test_g
cc  -I. -DHTTP_PARSER_STRICT=0  -Wall -Wextra -Werror -O3  -c http_parser.c
cc  -I. -DHTTP_PARSER_STRICT=0  -Wall -Wextra -Werror -O3  -c test.c -o test.o
In function ‘strnlen’,
    inlined from ‘strlncat’ at test.c:1982:10,
    inlined from ‘strlcat’ at test.c:1999:10:
test.c:1967:7: error: ‘memchr’ specified size 18446744073709551615 exceeds maximum object size 9223372036854775807 [-Werror=stringop-overflow=]
   p = memchr(s, '\0', maxlen);
       ^~~~~~~~~~~~~~~~~~~~~~~
In function ‘strnlen’,
    inlined from ‘strlncpy’ at test.c:2008:10,
    inlined from ‘strlcpy’ at test.c:2023:10:
test.c:1967:7: error: ‘memchr’ specified size 18446744073709551615 exceeds maximum object size 9223372036854775807 [-Werror=stringop-overflow=]
   p = memchr(s, '\0', maxlen);
       ^~~~~~~~~~~~~~~~~~~~~~~
cc1: all warnings being treated as errors
make[1]: *** [Makefile:92: test.o] Error 1
make[1]: Leaving directory '/tmp/tmp.zwJ0akD2W1/BUILD/http-parser-2.8.0'

Expected results:
Tests built, run and pass successfully

Additional info:

Comment 1 Daniel Kopeček 2019-03-07 15:22:37 UTC
Thanks for the report. This looks easy to fix even though I haven't looked into the code yet.
Is this issue blocking something else? I'm asking so that I know how to prioritize this bug.

Comment 2 Sergio Correia 2019-08-12 12:08:32 UTC
Created attachment 1602913 [details]
Remove unused functions from test runner

'make test' was failing with stringop-overflow error, however, the issue happened with functions that were not even used, so remove them.

Comment 6 errata-xmlrpc 2019-11-05 21:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3497


Note You need to log in before you can comment on or make changes to this bug.